Package ghidra.trace.database.breakpoint

# Class DBTraceBreakpointLocation.BreakpointChangeTranslator

java.lang.Object
ghidra.trace.database.target.DBTraceObjectInterface.Translator<TraceBreakpointLocation>
ghidra.trace.database.breakpoint.DBTraceBreakpointLocation.BreakpointChangeTranslator

Enclosing class:
  `DBTraceBreakpointLocation`

protected static class DBTraceBreakpointLocation.BreakpointChangeTranslator extends DBTraceObjectInterface.Translator<TraceBreakpointLocation>

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BreakpointChangeTranslator(DBTraceObject object, TraceBreakpointLocation iface)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `appliesToKey(String key)`
  `protected TraceEvent<TraceBreakpointLocation,Void>`
  `getAddedType()`
  `protected TraceEvent<TraceBreakpointLocation,Void>`
  `getChangedType()`
  `protected TraceEvent<TraceBreakpointLocation,Void>`
  `getDeletedType()`
  `protected TraceEvent<TraceBreakpointLocation,Lifespan>`
  `getLifespanChangedType()`

  ### Methods inherited from class ghidra.trace.database.target.DBTraceObjectInterface.Translator

  `emitExtraAdded, emitExtraDeleted, emitExtraLifespanChanged, emitExtraValueChanged, getSpace, translate, translateAdded, translateDeleted, translateLifespanChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BreakpointChangeTranslator

    protected BreakpointChangeTranslator(DBTraceObject object, TraceBreakpointLocation iface)

- ## Method Details

  - ### getAddedType

    protected TraceEvent<TraceBreakpointLocation,Void> getAddedType()
    Specified by:
      `getAddedType` in class `DBTraceObjectInterface.Translator<TraceBreakpointLocation>`

  - ### getLifespanChangedType

    protected TraceEvent<TraceBreakpointLocation,Lifespan> getLifespanChangedType()
    Specified by:
      `getLifespanChangedType` in class `DBTraceObjectInterface.Translator<TraceBreakpointLocation>`

  - ### getChangedType

    protected TraceEvent<TraceBreakpointLocation,Void> getChangedType()
    Specified by:
      `getChangedType` in class `DBTraceObjectInterface.Translator<TraceBreakpointLocation>`

  - ### appliesToKey

    protected boolean appliesToKey(String key)
    Specified by:
      `appliesToKey` in class `DBTraceObjectInterface.Translator<TraceBreakpointLocation>`

  - ### getDeletedType

    protected TraceEvent<TraceBreakpointLocation,Void> getDeletedType()
    Specified by:
      `getDeletedType` in class `DBTraceObjectInterface.Translator<TraceBreakpointLocation>`